%define upstream_name    Test-Mojo-WithRoles
%define upstream_version 0.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Use Test::Mojo roles cleanly and safely
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Mojolicious)
BuildRequires: perl(Role::Tiny)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
'Test::Mojo::Role' is not a real module, just documentation. Roles do not
inherit from a base, but if they did, this would be the base class for
'Test::Mojo::Role::'s.

Roles should be built in such a way that they can be applied via the
Role::Tiny manpage. Roles may actually be applied using the
Test::Mojo::WithRoles manpage which provides a nice interface to the test
author. Your role does not need to depend on the Test::Mojo::WithRoles
manpage but if it does, the test author will get that module during
install.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc META.yml META.json CONTRIBUTING Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20.0-3.mga10
+ Revision: 2209705
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 0.20.0-2.mga9
+ Revision: 1820544
- Mageia 9 Mass Rebuild

* Wed Jan 13 2021 guillomovitch <guillomovitch> 0.20.0-1.mga8
+ Revision: 1671511
- imported package perl-Test-Mojo-WithRoles


* Tue Jan 12 2021 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
